Class | TkcGroup
In: | tk/lib/tk/canvastag.rb
Parent: | TkcTag

### Methods

add exclude include new

### Constants

Tk_cGroup_ID | = | ['tkcg'.freeze, '00000'.taint].freeze

### Public Class methods

new(parent, *args)

def create_self(parent, *args)

[Source]

    # File tk/lib/tk/canvastag.rb, line 344
      def initialize(parent, *args)
        #unless parent.kind_of?(TkCanvas)
        #  fail ArgumentError, "expect TkCanvas for 1st argument"
        #end
        @c = parent
        @cpath = parent.path
        # @path = @id = Tk_cGroup_ID.join('')
        @path = @id = Tk_cGroup_ID.join(TkCore::INTERP._ip_id_)
        CTagID_TBL[@cpath] = {} unless CTagID_TBL[@cpath]
        CTagID_TBL[@cpath][@id] = self
        Tk_cGroup_ID[1].succ!
        include(*args) if args != []
      end

### Public Instance methods

add(*tags)

Alias for include

exclude(*tags)

[Source]

    # File tk/lib/tk/canvastag.rb, line 368
      def exclude(*tags)
        for i in tags
          #i.dtag(@id)
          @c.dtag(i, @id)
        end
        self
      end

include(*tags)

private :create_self

[Source]

    # File tk/lib/tk/canvastag.rb, line 359
      def include(*tags)
        for i in tags
          #i.addtag(@id)
          @c.addtag_withtag(@id, i)
        end
        self
      end

[Validate]